Summary: YAIM module to configure glexec in the worker node
Name: yaim-glexec-wn
Version: 2.3.3
Release: 2%{?dist}
License: ASL 2.0
# No reasonable group available
Group: System/YAIM
URL: http://wiki.nikhef.nl/grid/GLExec
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArch: noarch
Prefix: /opt/glite
Requires: glite-yaim-core
Provides: glite-yaim-glexec-wn = %{version}-%{release}
Obsoletes: glite-yaim-glexec-wn < 2.3.3-2

%description
This package contains the yaim functions necessary to configure glexec on the
worker node. 

%prep

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

# Remove executable bit from LICENSE file
chmod a-x LICENSE

make install prefix=$RPM_BUILD_ROOT%{prefix}

# Manually zip the manpage, as it is installed in a non-standard dir.
gzip -9 -n $RPM_BUILD_ROOT%{prefix}/share/man/man1/yaim-glexec-wn.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) %{prefix}/yaim/node-info.d/glite-glexec_wn
%{prefix}/yaim/functions/config_glexec_wn*
%{prefix}/yaim/defaults/glite-glexec_wn.*
%{prefix}/yaim/etc/versions/%{name}
%{prefix}/yaim/examples/siteinfo/services/glite-glexec_wn
%{prefix}/share/man/man1/yaim-glexec-wn.1*

%changelog
* Tue Jan  8 2013 Mischa Salle <msalle@nikhef.nl> 2.3.3-2
- Rename package into EMI-2 name
- Add provides and obsoletes to handle alternative packagename
- Update files list 

* Mon Jan  7 2013 Dennis van Dok <dennisvd@nikhef.nl> 2.3.3-1
- Updated for EMI-3

* Wed Oct 31 2012 Mischa Salle <msalle@nikhef.nl> 2.3.2-2
- General cleanup of spec file
